org.apache.tomcat.util.http

## Class CookieSupport

- java.lang.Object
- - org.apache.tomcat.util.http.CookieSupport

-     public final class CookieSupport
      extends Object

  Static constants for this package.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ALLOW_EQUALS_IN_VALUE` If true, cookie values are allowed to contain an equals character without being quoted.
    `static boolean` | `ALLOW_HTTP_SEPARATORS_IN_V0` If true, separators that are not explicitly dis-allowed by the v0 cookie spec but are disallowed by the HTTP spec will be allowed in v0 cookie names and values.
    `static boolean` | `ALLOW_NAME_ONLY` If true, name only cookies will be permitted.
    `static boolean` | `ALWAYS_ADD_EXPIRES` If set to false, we don't use the IE6/7 Max-Age/Expires work around.
    `static boolean` | `FWD_SLASH_IS_SEPARATOR` If set to true, the `/` character will be treated as a separator.
    `static boolean` | `PRESERVE_COOKIE_HEADER` If set to true, the cookie header will be preserved.
    `static boolean` | `STRICT_SERVLET_COMPLIANCE` If set to true, we parse cookies strictly according to the servlet, cookie and HTTP specs by default.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `alreadyQuoted(String value)`
    `static boolean` | `isHttpSeparator(char c)` Returns true if the byte is a separator as defined by V1 of the cookie spec, RFC2109.
    `static boolean` | `isHttpToken(String value)`
    `static boolean` | `isV0Separator(char c)` Returns true if the byte is a separator as defined by V0 of the cookie spec.
    `static boolean` | `isV0Token(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRICT_SERVLET_COMPLIANCE

          public static final boolean STRICT_SERVLET_COMPLIANCE

      If set to true, we parse cookies strictly according to the servlet, cookie and HTTP specs by default.

    - #### ALLOW_EQUALS_IN_VALUE

          public static final boolean ALLOW_EQUALS_IN_VALUE

      If true, cookie values are allowed to contain an equals character without being quoted.

    - #### ALLOW_HTTP_SEPARATORS_IN_V0

          public static final boolean ALLOW_HTTP_SEPARATORS_IN_V0

      If true, separators that are not explicitly dis-allowed by the v0 cookie spec but are disallowed by the HTTP spec will be allowed in v0 cookie names and values. These characters are: \"()/:<=>?@[\\]{} Note that the inclusion of / depends on the value of `FWD_SLASH_IS_SEPARATOR`.

    - #### ALWAYS_ADD_EXPIRES

          public static final boolean ALWAYS_ADD_EXPIRES

      If set to false, we don't use the IE6/7 Max-Age/Expires work around. Default is usually true. If STRICT_SERVLET_COMPLIANCE==true then default is false. Explicitly setting always takes priority.

    - #### FWD_SLASH_IS_SEPARATOR

          public static final boolean FWD_SLASH_IS_SEPARATOR

      If set to true, the `/` character will be treated as a separator. Default is usually false. If STRICT_SERVLET_COMPLIANCE==true then default is true. Explicitly setting always takes priority.

    - #### ALLOW_NAME_ONLY

          public static final boolean ALLOW_NAME_ONLY

      If true, name only cookies will be permitted.

    - #### PRESERVE_COOKIE_HEADER

          public static final boolean PRESERVE_COOKIE_HEADER

      If set to true, the cookie header will be preserved. In most cases except debugging, this is not useful.

  - ### Method Detail

    - #### isV0Separator

          public static final boolean isV0Separator(char c)

      Returns true if the byte is a separator as defined by V0 of the cookie spec.

    - #### isV0Token

          public static boolean isV0Token(String value)

    - #### isHttpSeparator

          public static final boolean isHttpSeparator(char c)

      Returns true if the byte is a separator as defined by V1 of the cookie spec, RFC2109.
      Throws:
        `IllegalArgumentException` - if a control character was supplied as input

    - #### isHttpToken

          public static boolean isHttpToken(String value)

    - #### alreadyQuoted

          public static boolean alreadyQuoted(String value)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.